from datetime import datetime
from pytest import mark
from zoneinfo import ZoneInfo

from homeconnect_watcher.db import WatcherDBClient


class TestCoffeeMaker:
    pass


class TestWasher:
    @mark.events(
        """
{"appliance_id": "SIEMENS-WM14T6H9NL-AB1234567890", "event": "CONNECTED", "timestamp": 1704972036.0, "data": {"haId": "SIEMENS-WM14T6H9NL-AB1234567890", "handling": "none", "key": "BSH.Common.Appliance.Connected", "level": "hint", "timestamp": 1704972036.0, "value": true}}
{"appliance_id": "SIEMENS-WM14T6H9NL-AB1234567890", "event": "STATUS-REQUEST", "timestamp": 1704972038.0, "data": {"status": [{"key": "BSH.Common.Status.DoorState", "value": "BSH.Common.EnumType.DoorState.Locked"}, {"key": "BSH.Common.Status.LocalControlActive", "value": false}, {"key": "BSH.Common.Status.OperationState", "value": "BSH.Common.EnumType.OperationState.Run"}, {"key": "BSH.Common.Status.RemoteControlActive", "value": true}, {"key": "BSH.Common.Status.RemoteControlStartAllowed", "value": false}]}}
{"appliance_id": "SIEMENS-WM14T6H9NL-AB1234567890", "event": "SETTINGS-REQUEST", "timestamp": 1704972040.0, "data": {"settings": [{"key": "BSH.Common.Setting.PowerState", "value": "BSH.Common.EnumType.PowerState.On"}, {"key": "LaundryCare.Washer.Setting.IDos1BaseLevel", "value": 30, "unit": "ml"}, {"key": "LaundryCare.Washer.Setting.IDos2BaseLevel", "value": 30, "unit": "ml"}]}}
{"appliance_id": "SIEMENS-WM14T6H9NL-AB1234567890", "event": "ACTIVE-PROGRAM-REQUEST", "timestamp": 1704972041.0, "data": {"constraints": {"access": "read"}, "key": "LaundryCare.Washer.Program.Cotton", "options": [{"key": "LaundryCare.Common.Option.LoadRecommendation", "value": 8000, "unit": "gram"}, {"key": "LaundryCare.Common.Option.VarioPerfect", "value": "LaundryCare.Common.EnumType.VarioPerfect.Off"}, {"key": "LaundryCare.Washer.Option.IDos1DosingLevel", "value": "LaundryCare.Washer.EnumType.IDosingLevel.Normal"}, {"key": "LaundryCare.Washer.Option.IDos2DosingLevel", "value": "LaundryCare.Washer.EnumType.IDosingLevel.Light"}, {"key": "LaundryCare.Washer.Option.LessIroning", "value": false}, {"key": "LaundryCare.Washer.Option.Prewash", "value": false}, {"key": "LaundryCare.Washer.Option.SpinSpeed", "value": "LaundryCare.Washer.EnumType.SpinSpeed.RPM1200"}, {"key": "LaundryCare.Washer.Option.Temperature", "value": "LaundryCare.Washer.EnumType.Temperature.GC60"}, {"key": "LaundryCare.Washer.Option.WaterAndRinsePlus", "value": "LaundryCare.Washer.EnumType.WaterAndRinsePlus.Off"}, {"key": "BSH.Common.Option.ProgramProgress", "value": 0, "unit": "%"}, {"key": "BSH.Common.Option.RemainingProgramTime", "value": 8277, "unit": "seconds"}, {"key": "BSH.Common.Option.RemainingProgramTimeIsEstimated", "value": true}, {"key": "LaundryCare.Washer.Option.ProcessPhase", "value": "LaundryCare.Washer.EnumType.ProcessPhase.Washing"}, {"key": "BSH.Common.Option.EnergyForecast", "value": 80, "unit": "%"}, {"key": "BSH.Common.Option.WaterForecast", "value": 60, "unit": "%"}]}}
{"appliance_id": "SIEMENS-WM14T6H9NL-AB1234567890", "event": "SELECTED-PROGRAM-REQUEST", "timestamp": 1704972043.0, "data": {"constraints": {"access": "read"}, "key": "LaundryCare.Washer.Program.Cotton", "options": [{"key": "LaundryCare.Common.Option.LoadRecommendation", "value": 8000, "unit": "gram"}, {"key": "LaundryCare.Common.Option.VarioPerfect", "value": "LaundryCare.Common.EnumType.VarioPerfect.Off"}, {"key": "LaundryCare.Washer.Option.IDos1DosingLevel", "value": "LaundryCare.Washer.EnumType.IDosingLevel.Normal"}, {"key": "LaundryCare.Washer.Option.IDos2DosingLevel", "value": "LaundryCare.Washer.EnumType.IDosingLevel.Light"}, {"key": "LaundryCare.Washer.Option.LessIroning", "value": false}, {"key": "LaundryCare.Washer.Option.Prewash", "value": false}, {"key": "LaundryCare.Washer.Option.SpinSpeed", "value": "LaundryCare.Washer.EnumType.SpinSpeed.RPM1200"}, {"key": "LaundryCare.Washer.Option.Temperature", "value": "LaundryCare.Washer.EnumType.Temperature.GC60"}, {"key": "LaundryCare.Washer.Option.WaterAndRinsePlus", "value": "LaundryCare.Washer.EnumType.WaterAndRinsePlus.Off"}, {"key": "BSH.Common.Option.RemainingProgramTime", "value": 8276, "unit": "seconds"}, {"key": "BSH.Common.Option.RemainingProgramTimeIsEstimated", "value": true}, {"key": "BSH.Common.Option.EnergyForecast", "value": 80, "unit": "%"}, {"key": "BSH.Common.Option.WaterForecast", "value": 60, "unit": "%"}]}}
{"appliance_id": "SIEMENS-WM14T6H9NL-AB1234567890", "event": "STATUS", "timestamp": 1704972043.0, "data": {"haId": "SIEMENS-WM14T6H9NL-AB1234567890", "items": [{"handling": "none", "key": "BSH.Common.Status.LocalControlActive", "level": "hint", "timestamp": 1704972036.0, "uri": "/api/homeappliances/SIEMENS-WM14T6H9NL-AB1234567890/status/BSH.Common.Status.LocalControlActive", "value": false}, {"handling": "none", "key": "BSH.Common.Status.RemoteControlActive", "level": "hint", "timestamp": 1704972036.0, "uri": "/api/homeappliances/SIEMENS-WM14T6H9NL-AB1234567890/status/BSH.Common.Status.RemoteControlActive", "value": true}]}}
{"appliance_id": "SIEMENS-WM14T6H9NL-AB1234567890", "event": "NOTIFY", "timestamp": 1704972093.0, "data": {"haId": "SIEMENS-WM14T6H9NL-AB1234567890", "items": [{"handling": "none", "key": "BSH.Common.Option.RemainingProgramTime", "level": "hint", "timestamp": 1704972093.0, "unit": "seconds", "uri": "/api/homeappliances/SIEMENS-WM14T6H9NL-AB1234567890/programs/active/options/BSH.Common.Option.RemainingProgramTime", "value": 8220}]}}
{"appliance_id": "SIEMENS-WM14T6H9NL-AB1234567890", "event": "NOTIFY", "timestamp": 1704974129.0, "data": {"haId": "SIEMENS-WM14T6H9NL-AB1234567890", "items": [{"handling": "none", "key": "BSH.Common.Option.RemainingProgramTime", "level": "hint", "timestamp": 1704974129.0, "unit": "seconds", "uri": "/api/homeappliances/SIEMENS-WM14T6H9NL-AB1234567890/programs/active/options/BSH.Common.Option.RemainingProgramTime", "value": 4080}]}}
{"appliance_id": "SIEMENS-WM14T6H9NL-AB1234567890", "event": "NOTIFY", "timestamp": 1704976349.0, "data": {"haId": "SIEMENS-WM14T6H9NL-AB1234567890", "items": [{"handling": "none", "key": "BSH.Common.Option.RemainingProgramTime", "level": "hint", "timestamp": 1704976349.0, "unit": "seconds", "uri": "/api/homeappliances/SIEMENS-WM14T6H9NL-AB1234567890/programs/active/options/BSH.Common.Option.RemainingProgramTime", "value": 1860}]}}
{"appliance_id": "SIEMENS-WM14T6H9NL-AB1234567890", "event": "NOTIFY", "timestamp": 1704979640.0, "data": {"haId": "SIEMENS-WM14T6H9NL-AB1234567890", "items": [{"handling": "none", "key": "BSH.Common.Option.RemainingProgramTime", "level": "hint", "timestamp": 1704979640.0, "unit": "seconds", "uri": "/api/homeappliances/SIEMENS-WM14T6H9NL-AB1234567890/programs/active/options/BSH.Common.Option.RemainingProgramTime", "value": 0}]}}
{"appliance_id": "SIEMENS-WM14T6H9NL-AB1234567890", "event": "STATUS", "timestamp": 1704979641.0, "data": {"haId": "SIEMENS-WM14T6H9NL-AB1234567890", "items": [{"handling": "none", "key": "BSH.Common.Status.OperationState", "level": "hint", "timestamp": 1704979641.0, "uri": "/api/homeappliances/SIEMENS-WM14T6H9NL-AB1234567890/status/BSH.Common.Status.OperationState", "value": "BSH.Common.EnumType.OperationState.Finished"}, {"handling": "none", "key": "BSH.Common.Status.DoorState", "level": "hint", "timestamp": 1704979641.0, "uri": "/api/homeappliances/SIEMENS-WM14T6H9NL-AB1234567890/status/BSH.Common.Status.DoorState", "value": "BSH.Common.EnumType.DoorState.Closed"}]}}
{"appliance_id": "SIEMENS-WM14T6H9NL-AB1234567890", "event": "EVENT", "timestamp": 1704979641.0, "data": {"haId": "SIEMENS-WM14T6H9NL-AB1234567890", "items": [{"handling": "acknowledge", "key": "BSH.Common.Event.ProgramFinished", "level": "hint", "timestamp": 1704979641.0, "value": "BSH.Common.EnumType.EventPresentState.Present"}]}}
{"appliance_id": "SIEMENS-WM14T6H9NL-AB1234567890", "event": "NOTIFY", "timestamp": 1704979642.0, "data": {"haId": "SIEMENS-WM14T6H9NL-AB1234567890", "items": [{"handling": "none", "key": "BSH.Common.Option.FinishInRelative", "level": "hint", "timestamp": 1704979642.0, "unit": "seconds", "uri": "/api/homeappliances/SIEMENS-WM14T6H9NL-AB1234567890/programs/active/options/BSH.Common.Option.FinishInRelative", "value": 0}]}}
{"appliance_id": "SIEMENS-WM14T6H9NL-AB1234567890", "event": "DISCONNECTED", "timestamp": 1704993381.0, "data": {"haId": "SIEMENS-WM14T6H9NL-AB1234567890", "handling": "none", "key": "BSH.Common.Appliance.Disconnected", "level": "hint", "timestamp": 1704993381.0, "value": true}}
"""
    )
    def test_simple_session(self, db_with_events: WatcherDBClient):
        db_with_events.cursor.execute(
            "SELECT appliance_id, trigger_time, start_time, end_time, program FROM v_sessions"
        )
        result = db_with_events.cursor.fetchall()
        assert len(result) == 1
        assert result[0] == (
            "SIEMENS-WM14T6H9NL-AB1234567890",
            datetime(2024, 1, 11, 12, 20, 38, tzinfo=ZoneInfo("Europe/Amsterdam")).astimezone(
                db_with_events.connection.info.timezone
            ),
            datetime(2024, 1, 11, 12, 20, 38, tzinfo=ZoneInfo("Europe/Amsterdam")).astimezone(
                db_with_events.connection.info.timezone
            ),
            datetime(2024, 1, 11, 14, 27, 20, tzinfo=ZoneInfo("Europe/Amsterdam")).astimezone(
                db_with_events.connection.info.timezone
            ),
            "Cotton",
        )

    @mark.events(
        """
{"appliance_id": "SIEMENS-WM14T6H9NL-AB1234567890", "event": "NOTIFY", "timestamp": 1707382868.0, "data": {"haId": "SIEMENS-WM14T6H9NL-AB1234567890", "items": [{"handling": "none", "key": "BSH.Common.Option.FinishInRelative", "level": "hint", "timestamp": 1707382868.0, "unit": "seconds", "uri": "/api/homeappliances/SIEMENS-WM14T6H9NL-AB1234567890/programs/selected/options/BSH.Common.Option.FinishInRelative", "value": 84600}]}}
{"appliance_id": "SIEMENS-WM14T6H9NL-AB1234567890", "event": "STATUS", "timestamp": 1707382871.0, "data": {"haId": "SIEMENS-WM14T6H9NL-AB1234567890", "items": [{"handling": "none", "key": "BSH.Common.Status.DoorState", "level": "hint", "timestamp": 1707382871.0, "uri": "/api/homeappliances/SIEMENS-WM14T6H9NL-AB1234567890/status/BSH.Common.Status.DoorState", "value": "BSH.Common.EnumType.DoorState.Locked"}]}}
{"appliance_id": "SIEMENS-WM14T6H9NL-AB1234567890", "event": "STATUS", "timestamp": 1707382872.0, "data": {"haId": "SIEMENS-WM14T6H9NL-AB1234567890", "items": [{"handling": "none", "key": "BSH.Common.Status.OperationState", "level": "hint", "timestamp": 1707382872.0, "uri": "/api/homeappliances/SIEMENS-WM14T6H9NL-AB1234567890/status/BSH.Common.Status.OperationState", "value": "BSH.Common.EnumType.OperationState.DelayedStart"}]}}
{"appliance_id": "SIEMENS-WM14T6H9NL-AB1234567890", "event": "NOTIFY", "timestamp": 1707382872.0, "data": {"haId": "SIEMENS-WM14T6H9NL-AB1234567890", "items": [{"handling": "none", "key": "BSH.Common.Option.RemainingProgramTime", "level": "hint", "timestamp": 1707382872.0, "unit": "seconds", "uri": "/api/homeappliances/SIEMENS-WM14T6H9NL-AB1234567890/programs/active/options/BSH.Common.Option.RemainingProgramTime", "value": 12660}, {"handling": "none", "key": "BSH.Common.Root.ActiveProgram", "level": "hint", "timestamp": 1707382872.0, "uri": "/api/homeappliances/SIEMENS-WM14T6H9NL-AB1234567890/programs/active", "value": "LaundryCare.Washer.Program.Cotton.CottonEco"}]}}
{"appliance_id": "SIEMENS-WM14T6H9NL-AB1234567890", "event": "STATUS", "timestamp": 1707382874.0, "data": {"haId": "SIEMENS-WM14T6H9NL-AB1234567890", "items": [{"handling": "none", "key": "BSH.Common.Status.LocalControlActive", "level": "hint", "timestamp": 1707382874.0, "uri": "/api/homeappliances/SIEMENS-WM14T6H9NL-AB1234567890/status/BSH.Common.Status.LocalControlActive", "value": false}, {"handling": "none", "key": "BSH.Common.Status.RemoteControlActive", "level": "hint", "timestamp": 1707382874.0, "uri": "/api/homeappliances/SIEMENS-WM14T6H9NL-AB1234567890/status/BSH.Common.Status.RemoteControlActive", "value": true}]}}
{"appliance_id": "SIEMENS-WM14T6H9NL-AB1234567890", "event": "NOTIFY", "timestamp": 1707382931.0, "data": {"haId": "SIEMENS-WM14T6H9NL-AB1234567890", "items": [{"handling": "none", "key": "BSH.Common.Option.FinishInRelative", "level": "hint", "timestamp": 1707382931.0, "unit": "seconds", "uri": "/api/homeappliances/SIEMENS-WM14T6H9NL-AB1234567890/programs/active/options/BSH.Common.Option.FinishInRelative", "value": 84540}]}}
{"appliance_id": "SIEMENS-WM14T6H9NL-AB1234567890", "event": "NOTIFY", "timestamp": 1707382991.0, "data": {"haId": "SIEMENS-WM14T6H9NL-AB1234567890", "items": [{"handling": "none", "key": "BSH.Common.Option.FinishInRelative", "level": "hint", "timestamp": 1707382991.0, "unit": "seconds", "uri": "/api/homeappliances/SIEMENS-WM14T6H9NL-AB1234567890/programs/active/options/BSH.Common.Option.FinishInRelative", "value": 84480}]}}
{"appliance_id": "SIEMENS-WM14T6H9NL-AB1234567890", "event": "NOTIFY", "timestamp": 1707383051.0, "data": {"haId": "SIEMENS-WM14T6H9NL-AB1234567890", "items": [{"handling": "none", "key": "BSH.Common.Option.FinishInRelative", "level": "hint", "timestamp": 1707383051.0, "unit": "seconds", "uri": "/api/homeappliances/SIEMENS-WM14T6H9NL-AB1234567890/programs/active/options/BSH.Common.Option.FinishInRelative", "value": 84420}]}}
{"appliance_id": "SIEMENS-WM14T6H9NL-AB1234567890", "event": "STATUS-REQUEST", "timestamp": 1707383053.0, "data": {"status": [{"key": "BSH.Common.Status.DoorState", "value": "BSH.Common.EnumType.DoorState.Locked"}, {"key": "BSH.Common.Status.LocalControlActive", "value": false}, {"key": "BSH.Common.Status.OperationState", "value": "BSH.Common.EnumType.OperationState.DelayedStart"}, {"key": "BSH.Common.Status.RemoteControlActive", "value": true}, {"key": "BSH.Common.Status.RemoteControlStartAllowed", "value": false}]}}
{"appliance_id": "SIEMENS-WM14T6H9NL-AB1234567890", "event": "NOTIFY", "timestamp": 1707383111.0, "data": {"haId": "SIEMENS-WM14T6H9NL-AB1234567890", "items": [{"handling": "none", "key": "BSH.Common.Option.FinishInRelative", "level": "hint", "timestamp": 1707383111.0, "unit": "seconds", "uri": "/api/homeappliances/SIEMENS-WM14T6H9NL-AB1234567890/programs/active/options/BSH.Common.Option.FinishInRelative", "value": 84360}]}}
{"appliance_id": "SIEMENS-WM14T6H9NL-AB1234567890", "event": "NOTIFY", "timestamp": 1707384131.0, "data": {"haId": "SIEMENS-WM14T6H9NL-AB1234567890", "items": [{"handling": "none", "key": "BSH.Common.Option.FinishInRelative", "level": "hint", "timestamp": 1707384131.0, "unit": "seconds", "uri": "/api/homeappliances/SIEMENS-WM14T6H9NL-AB1234567890/programs/active/options/BSH.Common.Option.FinishInRelative", "value": 83340}]}}
{"appliance_id": "SIEMENS-WM14T6H9NL-AB1234567890", "event": "NOTIFY", "timestamp": 1707385510.0, "data": {"haId": "SIEMENS-WM14T6H9NL-AB1234567890", "items": [{"handling": "none", "key": "BSH.Common.Option.FinishInRelative", "level": "hint", "timestamp": 1707385510.0, "unit": "seconds", "uri": "/api/homeappliances/SIEMENS-WM14T6H9NL-AB1234567890/programs/active/options/BSH.Common.Option.FinishInRelative", "value": 81960}]}}
{"appliance_id": "SIEMENS-WM14T6H9NL-AB1234567890", "event": "NOTIFY", "timestamp": 1707386769.0, "data": {"haId": "SIEMENS-WM14T6H9NL-AB1234567890", "items": [{"handling": "none", "key": "BSH.Common.Option.FinishInRelative", "level": "hint", "timestamp": 1707386769.0, "unit": "seconds", "uri": "/api/homeappliances/SIEMENS-WM14T6H9NL-AB1234567890/programs/active/options/BSH.Common.Option.FinishInRelative", "value": 80700}]}}
{"appliance_id": "SIEMENS-WM14T6H9NL-AB1234567890", "event": "NOTIFY", "timestamp": 1707388088.0, "data": {"haId": "SIEMENS-WM14T6H9NL-AB1234567890", "items": [{"handling": "none", "key": "BSH.Common.Option.FinishInRelative", "level": "hint", "timestamp": 1707388088.0, "unit": "seconds", "uri": "/api/homeappliances/SIEMENS-WM14T6H9NL-AB1234567890/programs/active/options/BSH.Common.Option.FinishInRelative", "value": 79380}]}}
{"appliance_id": "SIEMENS-WM14T6H9NL-AB1234567890", "event": "NOTIFY", "timestamp": 1707389348.0, "data": {"haId": "SIEMENS-WM14T6H9NL-AB1234567890", "items": [{"handling": "none", "key": "BSH.Common.Option.FinishInRelative", "level": "hint", "timestamp": 1707389348.0, "unit": "seconds", "uri": "/api/homeappliances/SIEMENS-WM14T6H9NL-AB1234567890/programs/active/options/BSH.Common.Option.FinishInRelative", "value": 78120}]}}
{"appliance_id": "SIEMENS-WM14T6H9NL-AB1234567890", "event": "NOTIFY", "timestamp": 1707391986.0, "data": {"haId": "SIEMENS-WM14T6H9NL-AB1234567890", "items": [{"handling": "none", "key": "BSH.Common.Option.FinishInRelative", "level": "hint", "timestamp": 1707391986.0, "unit": "seconds", "uri": "/api/homeappliances/SIEMENS-WM14T6H9NL-AB1234567890/programs/active/options/BSH.Common.Option.FinishInRelative", "value": 75480}]}}
{"appliance_id": "SIEMENS-WM14T6H9NL-AB1234567890", "event": "NOTIFY", "timestamp": 1707393245.0, "data": {"haId": "SIEMENS-WM14T6H9NL-AB1234567890", "items": [{"handling": "none", "key": "BSH.Common.Option.FinishInRelative", "level": "hint", "timestamp": 1707393245.0, "unit": "seconds", "uri": "/api/homeappliances/SIEMENS-WM14T6H9NL-AB1234567890/programs/active/options/BSH.Common.Option.FinishInRelative", "value": 74220}]}}
{"appliance_id": "SIEMENS-WM14T6H9NL-AB1234567890", "event": "NOTIFY", "timestamp": 1707394564.0, "data": {"haId": "SIEMENS-WM14T6H9NL-AB1234567890", "items": [{"handling": "none", "key": "BSH.Common.Option.FinishInRelative", "level": "hint", "timestamp": 1707394564.0, "unit": "seconds", "uri": "/api/homeappliances/SIEMENS-WM14T6H9NL-AB1234567890/programs/active/options/BSH.Common.Option.FinishInRelative", "value": 72900}]}}
{"appliance_id": "SIEMENS-WM14T6H9NL-AB1234567890", "event": "NOTIFY", "timestamp": 1707395824.0, "data": {"haId": "SIEMENS-WM14T6H9NL-AB1234567890", "items": [{"handling": "none", "key": "BSH.Common.Option.FinishInRelative", "level": "hint", "timestamp": 1707395823.0, "unit": "seconds", "uri": "/api/homeappliances/SIEMENS-WM14T6H9NL-AB1234567890/programs/active/options/BSH.Common.Option.FinishInRelative", "value": 71640}]}}
{"appliance_id": "SIEMENS-WM14T6H9NL-AB1234567890", "event": "NOTIFY", "timestamp": 1707398342.0, "data": {"haId": "SIEMENS-WM14T6H9NL-AB1234567890", "items": [{"handling": "none", "key": "BSH.Common.Option.FinishInRelative", "level": "hint", "timestamp": 1707398342.0, "unit": "seconds", "uri": "/api/homeappliances/SIEMENS-WM14T6H9NL-AB1234567890/programs/active/options/BSH.Common.Option.FinishInRelative", "value": 69120}]}}
{"appliance_id": "SIEMENS-WM14T6H9NL-AB1234567890", "event": "NOTIFY", "timestamp": 1707399661.0, "data": {"haId": "SIEMENS-WM14T6H9NL-AB1234567890", "items": [{"handling": "none", "key": "BSH.Common.Option.FinishInRelative", "level": "hint", "timestamp": 1707399661.0, "unit": "seconds", "uri": "/api/homeappliances/SIEMENS-WM14T6H9NL-AB1234567890/programs/active/options/BSH.Common.Option.FinishInRelative", "value": 67800}]}}
{"appliance_id": "SIEMENS-WM14T6H9NL-AB1234567890", "event": "NOTIFY", "timestamp": 1707400980.0, "data": {"haId": "SIEMENS-WM14T6H9NL-AB1234567890", "items": [{"handling": "none", "key": "BSH.Common.Option.FinishInRelative", "level": "hint", "timestamp": 1707400980.0, "unit": "seconds", "uri": "/api/homeappliances/SIEMENS-WM14T6H9NL-AB1234567890/programs/active/options/BSH.Common.Option.FinishInRelative", "value": 66480}]}}
{"appliance_id": "SIEMENS-WM14T6H9NL-AB1234567890", "event": "NOTIFY", "timestamp": 1707402239.0, "data": {"haId": "SIEMENS-WM14T6H9NL-AB1234567890", "items": [{"handling": "none", "key": "BSH.Common.Option.FinishInRelative", "level": "hint", "timestamp": 1707402239.0, "unit": "seconds", "uri": "/api/homeappliances/SIEMENS-WM14T6H9NL-AB1234567890/programs/active/options/BSH.Common.Option.FinishInRelative", "value": 65220}]}}
{"appliance_id": "SIEMENS-WM14T6H9NL-AB1234567890", "event": "NOTIFY", "timestamp": 1707403559.0, "data": {"haId": "SIEMENS-WM14T6H9NL-AB1234567890", "items": [{"handling": "none", "key": "BSH.Common.Option.FinishInRelative", "level": "hint", "timestamp": 1707403559.0, "unit": "seconds", "uri": "/api/homeappliances/SIEMENS-WM14T6H9NL-AB1234567890/programs/active/options/BSH.Common.Option.FinishInRelative", "value": 63900}]}}
{"appliance_id": "SIEMENS-WM14T6H9NL-AB1234567890", "event": "NOTIFY", "timestamp": 1707404818.0, "data": {"haId": "SIEMENS-WM14T6H9NL-AB1234567890", "items": [{"handling": "none", "key": "BSH.Common.Option.FinishInRelative", "level": "hint", "timestamp": 1707404818.0, "unit": "seconds", "uri": "/api/homeappliances/SIEMENS-WM14T6H9NL-AB1234567890/programs/active/options/BSH.Common.Option.FinishInRelative", "value": 62640}]}}
{"appliance_id": "SIEMENS-WM14T6H9NL-AB1234567890", "event": "NOTIFY", "timestamp": 1707406137.0, "data": {"haId": "SIEMENS-WM14T6H9NL-AB1234567890", "items": [{"handling": "none", "key": "BSH.Common.Option.FinishInRelative", "level": "hint", "timestamp": 1707406137.0, "unit": "seconds", "uri": "/api/homeappliances/SIEMENS-WM14T6H9NL-AB1234567890/programs/active/options/BSH.Common.Option.FinishInRelative", "value": 61320}]}}
{"appliance_id": "SIEMENS-WM14T6H9NL-AB1234567890", "event": "NOTIFY", "timestamp": 1707407456.0, "data": {"haId": "SIEMENS-WM14T6H9NL-AB1234567890", "items": [{"handling": "none", "key": "BSH.Common.Option.FinishInRelative", "level": "hint", "timestamp": 1707407456.0, "unit": "seconds", "uri": "/api/homeappliances/SIEMENS-WM14T6H9NL-AB1234567890/programs/active/options/BSH.Common.Option.FinishInRelative", "value": 60000}]}}
{"appliance_id": "SIEMENS-WM14T6H9NL-AB1234567890", "event": "NOTIFY", "timestamp": 1707408715.0, "data": {"haId": "SIEMENS-WM14T6H9NL-AB1234567890", "items": [{"handling": "none", "key": "BSH.Common.Option.FinishInRelative", "level": "hint", "timestamp": 1707408715.0, "unit": "seconds", "uri": "/api/homeappliances/SIEMENS-WM14T6H9NL-AB1234567890/programs/active/options/BSH.Common.Option.FinishInRelative", "value": 58740}]}}
{"appliance_id": "SIEMENS-WM14T6H9NL-AB1234567890", "event": "NOTIFY", "timestamp": 1707410094.0, "data": {"haId": "SIEMENS-WM14T6H9NL-AB1234567890", "items": [{"handling": "none", "key": "BSH.Common.Option.FinishInRelative", "level": "hint", "timestamp": 1707410094.0, "unit": "seconds", "uri": "/api/homeappliances/SIEMENS-WM14T6H9NL-AB1234567890/programs/active/options/BSH.Common.Option.FinishInRelative", "value": 57360}]}}
{"appliance_id": "SIEMENS-WM14T6H9NL-AB1234567890", "event": "NOTIFY", "timestamp": 1707411414.0, "data": {"haId": "SIEMENS-WM14T6H9NL-AB1234567890", "items": [{"handling": "none", "key": "BSH.Common.Option.FinishInRelative", "level": "hint", "timestamp": 1707411414.0, "unit": "seconds", "uri": "/api/homeappliances/SIEMENS-WM14T6H9NL-AB1234567890/programs/active/options/BSH.Common.Option.FinishInRelative", "value": 56040}]}}
{"appliance_id": "SIEMENS-WM14T6H9NL-AB1234567890", "event": "NOTIFY", "timestamp": 1707413452.0, "data": {"haId": "SIEMENS-WM14T6H9NL-AB1234567890", "items": [{"handling": "none", "key": "BSH.Common.Option.FinishInRelative", "level": "hint", "timestamp": 1707413452.0, "unit": "seconds", "uri": "/api/homeappliances/SIEMENS-WM14T6H9NL-AB1234567890/programs/active/options/BSH.Common.Option.FinishInRelative", "value": 54000}]}}
{"appliance_id": "SIEMENS-WM14T6H9NL-AB1234567890", "event": "NOTIFY", "timestamp": 1707415431.0, "data": {"haId": "SIEMENS-WM14T6H9NL-AB1234567890", "items": [{"handling": "none", "key": "BSH.Common.Option.FinishInRelative", "level": "hint", "timestamp": 1707415431.0, "unit": "seconds", "uri": "/api/homeappliances/SIEMENS-WM14T6H9NL-AB1234567890/programs/active/options/BSH.Common.Option.FinishInRelative", "value": 52020}]}}
{"appliance_id": "SIEMENS-WM14T6H9NL-AB1234567890", "event": "NOTIFY", "timestamp": 1707417410.0, "data": {"haId": "SIEMENS-WM14T6H9NL-AB1234567890", "items": [{"handling": "none", "key": "BSH.Common.Option.FinishInRelative", "level": "hint", "timestamp": 1707417410.0, "unit": "seconds", "uri": "/api/homeappliances/SIEMENS-WM14T6H9NL-AB1234567890/programs/active/options/BSH.Common.Option.FinishInRelative", "value": 50040}]}}
{"appliance_id": "SIEMENS-WM14T6H9NL-AB1234567890", "event": "NOTIFY", "timestamp": 1707419449.0, "data": {"haId": "SIEMENS-WM14T6H9NL-AB1234567890", "items": [{"handling": "none", "key": "BSH.Common.Option.FinishInRelative", "level": "hint", "timestamp": 1707419449.0, "unit": "seconds", "uri": "/api/homeappliances/SIEMENS-WM14T6H9NL-AB1234567890/programs/active/options/BSH.Common.Option.FinishInRelative", "value": 48000}]}}
{"appliance_id": "SIEMENS-WM14T6H9NL-AB1234567890", "event": "NOTIFY", "timestamp": 1707421427.0, "data": {"haId": "SIEMENS-WM14T6H9NL-AB1234567890", "items": [{"handling": "none", "key": "BSH.Common.Option.FinishInRelative", "level": "hint", "timestamp": 1707421427.0, "unit": "seconds", "uri": "/api/homeappliances/SIEMENS-WM14T6H9NL-AB1234567890/programs/active/options/BSH.Common.Option.FinishInRelative", "value": 46020}]}}
{"appliance_id": "SIEMENS-WM14T6H9NL-AB1234567890", "event": "NOTIFY", "timestamp": 1707423406.0, "data": {"haId": "SIEMENS-WM14T6H9NL-AB1234567890", "items": [{"handling": "none", "key": "BSH.Common.Option.FinishInRelative", "level": "hint", "timestamp": 1707423406.0, "unit": "seconds", "uri": "/api/homeappliances/SIEMENS-WM14T6H9NL-AB1234567890/programs/active/options/BSH.Common.Option.FinishInRelative", "value": 44040}]}}
{"appliance_id": "SIEMENS-WM14T6H9NL-AB1234567890", "event": "NOTIFY", "timestamp": 1707425445.0, "data": {"haId": "SIEMENS-WM14T6H9NL-AB1234567890", "items": [{"handling": "none", "key": "BSH.Common.Option.FinishInRelative", "level": "hint", "timestamp": 1707425445.0, "unit": "seconds", "uri": "/api/homeappliances/SIEMENS-WM14T6H9NL-AB1234567890/programs/active/options/BSH.Common.Option.FinishInRelative", "value": 42000}]}}
{"appliance_id": "SIEMENS-WM14T6H9NL-AB1234567890", "event": "NOTIFY", "timestamp": 1707427424.0, "data": {"haId": "SIEMENS-WM14T6H9NL-AB1234567890", "items": [{"handling": "none", "key": "BSH.Common.Option.FinishInRelative", "level": "hint", "timestamp": 1707427424.0, "unit": "seconds", "uri": "/api/homeappliances/SIEMENS-WM14T6H9NL-AB1234567890/programs/active/options/BSH.Common.Option.FinishInRelative", "value": 40020}]}}
{"appliance_id": "SIEMENS-WM14T6H9NL-AB1234567890", "event": "NOTIFY", "timestamp": 1707429403.0, "data": {"haId": "SIEMENS-WM14T6H9NL-AB1234567890", "items": [{"handling": "none", "key": "BSH.Common.Option.FinishInRelative", "level": "hint", "timestamp": 1707429403.0, "unit": "seconds", "uri": "/api/homeappliances/SIEMENS-WM14T6H9NL-AB1234567890/programs/active/options/BSH.Common.Option.FinishInRelative", "value": 38040}]}}
{"appliance_id": "SIEMENS-WM14T6H9NL-AB1234567890", "event": "NOTIFY", "timestamp": 1707431441.0, "data": {"haId": "SIEMENS-WM14T6H9NL-AB1234567890", "items": [{"handling": "none", "key": "BSH.Common.Option.FinishInRelative", "level": "hint", "timestamp": 1707431441.0, "unit": "seconds", "uri": "/api/homeappliances/SIEMENS-WM14T6H9NL-AB1234567890/programs/active/options/BSH.Common.Option.FinishInRelative", "value": 36000}]}}
{"appliance_id": "SIEMENS-WM14T6H9NL-AB1234567890", "event": "NOTIFY", "timestamp": 1707433420.0, "data": {"haId": "SIEMENS-WM14T6H9NL-AB1234567890", "items": [{"handling": "none", "key": "BSH.Common.Option.FinishInRelative", "level": "hint", "timestamp": 1707433420.0, "unit": "seconds", "uri": "/api/homeappliances/SIEMENS-WM14T6H9NL-AB1234567890/programs/active/options/BSH.Common.Option.FinishInRelative", "value": 34020}]}}
{"appliance_id": "SIEMENS-WM14T6H9NL-AB1234567890", "event": "NOTIFY", "timestamp": 1707435399.0, "data": {"haId": "SIEMENS-WM14T6H9NL-AB1234567890", "items": [{"handling": "none", "key": "BSH.Common.Option.FinishInRelative", "level": "hint", "timestamp": 1707435399.0, "unit": "seconds", "uri": "/api/homeappliances/SIEMENS-WM14T6H9NL-AB1234567890/programs/active/options/BSH.Common.Option.FinishInRelative", "value": 32040}]}}
{"appliance_id": "SIEMENS-WM14T6H9NL-AB1234567890", "event": "NOTIFY", "timestamp": 1707437438.0, "data": {"haId": "SIEMENS-WM14T6H9NL-AB1234567890", "items": [{"handling": "none", "key": "BSH.Common.Option.FinishInRelative", "level": "hint", "timestamp": 1707437438.0, "unit": "seconds", "uri": "/api/homeappliances/SIEMENS-WM14T6H9NL-AB1234567890/programs/active/options/BSH.Common.Option.FinishInRelative", "value": 30000}]}}
{"appliance_id": "SIEMENS-WM14T6H9NL-AB1234567890", "event": "NOTIFY", "timestamp": 1707439417.0, "data": {"haId": "SIEMENS-WM14T6H9NL-AB1234567890", "items": [{"handling": "none", "key": "BSH.Common.Option.FinishInRelative", "level": "hint", "timestamp": 1707439416.0, "unit": "seconds", "uri": "/api/homeappliances/SIEMENS-WM14T6H9NL-AB1234567890/programs/active/options/BSH.Common.Option.FinishInRelative", "value": 28020}]}}
{"appliance_id": "SIEMENS-WM14T6H9NL-AB1234567890", "event": "NOTIFY", "timestamp": 1707441395.0, "data": {"haId": "SIEMENS-WM14T6H9NL-AB1234567890", "items": [{"handling": "none", "key": "BSH.Common.Option.FinishInRelative", "level": "hint", "timestamp": 1707441395.0, "unit": "seconds", "uri": "/api/homeappliances/SIEMENS-WM14T6H9NL-AB1234567890/programs/active/options/BSH.Common.Option.FinishInRelative", "value": 26040}]}}
{"appliance_id": "SIEMENS-WM14T6H9NL-AB1234567890", "event": "NOTIFY", "timestamp": 1707443434.0, "data": {"haId": "SIEMENS-WM14T6H9NL-AB1234567890", "items": [{"handling": "none", "key": "BSH.Common.Option.FinishInRelative", "level": "hint", "timestamp": 1707443434.0, "unit": "seconds", "uri": "/api/homeappliances/SIEMENS-WM14T6H9NL-AB1234567890/programs/active/options/BSH.Common.Option.FinishInRelative", "value": 24000}]}}
{"appliance_id": "SIEMENS-WM14T6H9NL-AB1234567890", "event": "NOTIFY", "timestamp": 1707445293.0, "data": {"haId": "SIEMENS-WM14T6H9NL-AB1234567890", "items": [{"handling": "none", "key": "BSH.Common.Option.FinishInRelative", "level": "hint", "timestamp": 1707445293.0, "unit": "seconds", "uri": "/api/homeappliances/SIEMENS-WM14T6H9NL-AB1234567890/programs/active/options/BSH.Common.Option.FinishInRelative", "value": 22140}]}}
{"appliance_id": "SIEMENS-WM14T6H9NL-AB1234567890", "event": "NOTIFY", "timestamp": 1707447392.0, "data": {"haId": "SIEMENS-WM14T6H9NL-AB1234567890", "items": [{"handling": "none", "key": "BSH.Common.Option.FinishInRelative", "level": "hint", "timestamp": 1707447392.0, "unit": "seconds", "uri": "/api/homeappliances/SIEMENS-WM14T6H9NL-AB1234567890/programs/active/options/BSH.Common.Option.FinishInRelative", "value": 20040}]}}
{"appliance_id": "SIEMENS-WM14T6H9NL-AB1234567890", "event": "NOTIFY", "timestamp": 1707449251.0, "data": {"haId": "SIEMENS-WM14T6H9NL-AB1234567890", "items": [{"handling": "none", "key": "BSH.Common.Option.FinishInRelative", "level": "hint", "timestamp": 1707449251.0, "unit": "seconds", "uri": "/api/homeappliances/SIEMENS-WM14T6H9NL-AB1234567890/programs/active/options/BSH.Common.Option.FinishInRelative", "value": 18180}]}}
{"appliance_id": "SIEMENS-WM14T6H9NL-AB1234567890", "event": "NOTIFY", "timestamp": 1707451409.0, "data": {"haId": "SIEMENS-WM14T6H9NL-AB1234567890", "items": [{"handling": "none", "key": "BSH.Common.Option.FinishInRelative", "level": "hint", "timestamp": 1707451409.0, "unit": "seconds", "uri": "/api/homeappliances/SIEMENS-WM14T6H9NL-AB1234567890/programs/active/options/BSH.Common.Option.FinishInRelative", "value": 16020}]}}
{"appliance_id": "SIEMENS-WM14T6H9NL-AB1234567890", "event": "NOTIFY", "timestamp": 1707453388.0, "data": {"haId": "SIEMENS-WM14T6H9NL-AB1234567890", "items": [{"handling": "none", "key": "BSH.Common.Option.FinishInRelative", "level": "hint", "timestamp": 1707453388.0, "unit": "seconds", "uri": "/api/homeappliances/SIEMENS-WM14T6H9NL-AB1234567890/programs/active/options/BSH.Common.Option.FinishInRelative", "value": 14040}]}}
{"appliance_id": "SIEMENS-WM14T6H9NL-AB1234567890", "event": "STATUS", "timestamp": 1707453868.0, "data": {"haId": "SIEMENS-WM14T6H9NL-AB1234567890", "items": [{"handling": "none", "key": "BSH.Common.Status.OperationState", "level": "hint", "timestamp": 1707453868.0, "uri": "/api/homeappliances/SIEMENS-WM14T6H9NL-AB1234567890/status/BSH.Common.Status.OperationState", "value": "BSH.Common.EnumType.OperationState.Run"}]}}
{"appliance_id": "SIEMENS-WM14T6H9NL-AB1234567890", "event": "NOTIFY", "timestamp": 1707454527.0, "data": {"haId": "SIEMENS-WM14T6H9NL-AB1234567890", "items": [{"handling": "none", "key": "BSH.Common.Option.RemainingProgramTime", "level": "hint", "timestamp": 1707454527.0, "unit": "seconds", "uri": "/api/homeappliances/SIEMENS-WM14T6H9NL-AB1234567890/programs/active/options/BSH.Common.Option.RemainingProgramTime", "value": 12000}]}}
{"appliance_id": "SIEMENS-WM14T6H9NL-AB1234567890", "event": "NOTIFY", "timestamp": 1707456159.0, "data": {"haId": "SIEMENS-WM14T6H9NL-AB1234567890", "items": [{"handling": "none", "key": "BSH.Common.Option.RemainingProgramTime", "level": "hint", "timestamp": 1707456159.0, "unit": "seconds", "uri": "/api/homeappliances/SIEMENS-WM14T6H9NL-AB1234567890/programs/active/options/BSH.Common.Option.RemainingProgramTime", "value": 10020}]}}
{"appliance_id": "SIEMENS-WM14T6H9NL-AB1234567890", "event": "NOTIFY", "timestamp": 1707458138.0, "data": {"haId": "SIEMENS-WM14T6H9NL-AB1234567890", "items": [{"handling": "none", "key": "BSH.Common.Option.RemainingProgramTime", "level": "hint", "timestamp": 1707458138.0, "unit": "seconds", "uri": "/api/homeappliances/SIEMENS-WM14T6H9NL-AB1234567890/programs/active/options/BSH.Common.Option.RemainingProgramTime", "value": 8040}]}}
{"appliance_id": "SIEMENS-WM14T6H9NL-AB1234567890", "event": "NOTIFY", "timestamp": 1707460177.0, "data": {"haId": "SIEMENS-WM14T6H9NL-AB1234567890", "items": [{"handling": "none", "key": "BSH.Common.Option.RemainingProgramTime", "level": "hint", "timestamp": 1707460177.0, "unit": "seconds", "uri": "/api/homeappliances/SIEMENS-WM14T6H9NL-AB1234567890/programs/active/options/BSH.Common.Option.RemainingProgramTime", "value": 6000}]}}
{"appliance_id": "SIEMENS-WM14T6H9NL-AB1234567890", "event": "NOTIFY", "timestamp": 1707462096.0, "data": {"haId": "SIEMENS-WM14T6H9NL-AB1234567890", "items": [{"handling": "none", "key": "BSH.Common.Option.RemainingProgramTime", "level": "hint", "timestamp": 1707462096.0, "unit": "seconds", "uri": "/api/homeappliances/SIEMENS-WM14T6H9NL-AB1234567890/programs/active/options/BSH.Common.Option.RemainingProgramTime", "value": 4080}]}}
{"appliance_id": "SIEMENS-WM14T6H9NL-AB1234567890", "event": "NOTIFY", "timestamp": 1707464291.0, "data": {"haId": "SIEMENS-WM14T6H9NL-AB1234567890", "items": [{"handling": "none", "key": "BSH.Common.Option.RemainingProgramTime", "level": "hint", "timestamp": 1707464291.0, "unit": "seconds", "uri": "/api/homeappliances/SIEMENS-WM14T6H9NL-AB1234567890/programs/active/options/BSH.Common.Option.RemainingProgramTime", "value": 2040}]}}
{"appliance_id": "SIEMENS-WM14T6H9NL-AB1234567890", "event": "NOTIFY", "timestamp": 1707466275.0, "data": {"haId": "SIEMENS-WM14T6H9NL-AB1234567890", "items": [{"handling": "none", "key": "BSH.Common.Option.RemainingProgramTime", "level": "hint", "timestamp": 1707466275.0, "unit": "seconds", "uri": "/api/homeappliances/SIEMENS-WM14T6H9NL-AB1234567890/programs/active/options/BSH.Common.Option.RemainingProgramTime", "value": 0}]}}
{"appliance_id": "SIEMENS-WM14T6H9NL-AB1234567890", "event": "EVENT", "timestamp": 1707466275.0, "data": {"haId": "SIEMENS-WM14T6H9NL-AB1234567890", "items": [{"handling": "acknowledge", "key": "LaundryCare.Washer.Event.IDos1FillLevelPoor", "level": "warning", "timestamp": 1707466275.0, "value": "BSH.Common.EnumType.EventPresentState.Present"}]}}
{"appliance_id": "SIEMENS-WM14T6H9NL-AB1234567890", "event": "EVENT", "timestamp": 1707466277.0, "data": {"haId": "SIEMENS-WM14T6H9NL-AB1234567890", "items": [{"handling": "acknowledge", "key": "BSH.Common.Event.ProgramFinished", "level": "hint", "timestamp": 1707466277.0, "value": "BSH.Common.EnumType.EventPresentState.Present"}]}}
{"appliance_id": "SIEMENS-WM14T6H9NL-AB1234567890", "event": "STATUS", "timestamp": 1707466277.0, "data": {"haId": "SIEMENS-WM14T6H9NL-AB1234567890", "items": [{"handling": "none", "key": "BSH.Common.Status.OperationState", "level": "hint", "timestamp": 1707466277.0, "uri": "/api/homeappliances/SIEMENS-WM14T6H9NL-AB1234567890/status/BSH.Common.Status.OperationState", "value": "BSH.Common.EnumType.OperationState.Finished"}, {"handling": "none", "key": "BSH.Common.Status.DoorState", "level": "hint", "timestamp": 1707466277.0, "uri": "/api/homeappliances/SIEMENS-WM14T6H9NL-AB1234567890/status/BSH.Common.Status.DoorState", "value": "BSH.Common.EnumType.DoorState.Closed"}]}}
{"appliance_id": "SIEMENS-WM14T6H9NL-AB1234567890", "event": "NOTIFY", "timestamp": 1707466277.0, "data": {"haId": "SIEMENS-WM14T6H9NL-AB1234567890", "items": [{"handling": "none", "key": "BSH.Common.Option.FinishInRelative", "level": "hint", "timestamp": 1707466277.0, "unit": "seconds", "uri": "/api/homeappliances/SIEMENS-WM14T6H9NL-AB1234567890/programs/active/options/BSH.Common.Option.FinishInRelative", "value": 0}]}}
{"appliance_id": "SIEMENS-WM14T6H9NL-AB1234567890", "event": "EVENT", "timestamp": 1707467283.0, "data": {"haId": "SIEMENS-WM14T6H9NL-AB1234567890", "items": [{"handling": "acknowledge", "key": "BSH.Common.Event.ProgramFinished", "level": "hint", "timestamp": 1707467283.0, "value": "BSH.Common.EnumType.EventPresentState.Off"}]}}
{"appliance_id": "SIEMENS-WM14T6H9NL-AB1234567890", "event": "STATUS-REQUEST", "timestamp": 1707467287.0, "data": {"status": [{"key": "BSH.Common.Status.DoorState", "value": "BSH.Common.EnumType.DoorState.Open"}, {"key": "BSH.Common.Status.LocalControlActive", "value": true}, {"key": "BSH.Common.Status.OperationState", "value": "BSH.Common.EnumType.OperationState.Ready"}, {"key": "BSH.Common.Status.RemoteControlActive", "value": false}, {"key": "BSH.Common.Status.RemoteControlStartAllowed", "value": false}]}}
{"appliance_id": "SIEMENS-WM14T6H9NL-AB1234567890", "event": "STATUS", "timestamp": 1707467287.0, "data": {"haId": "SIEMENS-WM14T6H9NL-AB1234567890", "items": [{"handling": "none", "key": "BSH.Common.Status.OperationState", "level": "hint", "timestamp": 1707467283.0, "uri": "/api/homeappliances/SIEMENS-WM14T6H9NL-AB1234567890/status/BSH.Common.Status.OperationState", "value": "BSH.Common.EnumType.OperationState.Ready"}, {"handling": "none", "key": "BSH.Common.Status.DoorState", "level": "hint", "timestamp": 1707467283.0, "uri": "/api/homeappliances/SIEMENS-WM14T6H9NL-AB1234567890/status/BSH.Common.Status.DoorState", "value": "BSH.Common.EnumType.DoorState.Open"}, {"handling": "none", "key": "BSH.Common.Status.LocalControlActive", "level": "hint", "timestamp": 1707467283.0, "uri": "/api/homeappliances/SIEMENS-WM14T6H9NL-AB1234567890/status/BSH.Common.Status.LocalControlActive", "value": true}, {"handling": "none", "key": "BSH.Common.Status.RemoteControlActive", "level": "hint", "timestamp": 1707467283.0, "uri": "/api/homeappliances/SIEMENS-WM14T6H9NL-AB1234567890/status/BSH.Common.Status.RemoteControlActive", "value": false}]}}
{"appliance_id": "SIEMENS-WM14T6H9NL-AB1234567890", "event": "NOTIFY", "timestamp": 1707467287.0, "data": {"haId": "SIEMENS-WM14T6H9NL-AB1234567890", "items": [{"handling": "none", "key": "BSH.Common.Option.EstimatedTotalProgramTime", "level": "hint", "timestamp": 1707467283.0, "unit": "seconds", "uri": "/api/homeappliances/SIEMENS-WM14T6H9NL-AB1234567890/programs/selected/options/BSH.Common.Option.EstimatedTotalProgramTime", "value": 0}, {"handling": "none", "key": "BSH.Common.Root.ActiveProgram", "level": "hint", "timestamp": 1707467283.0, "uri": "/api/homeappliances/SIEMENS-WM14T6H9NL-AB1234567890/programs/active", "value": null}]}}
"""
    )
    def test_delayed_session(self, db_with_events: WatcherDBClient):
        db_with_events.cursor.execute(
            "SELECT appliance_id, trigger_time, start_time, end_time, program FROM v_sessions"
        )
        result = db_with_events.cursor.fetchall()
        assert len(result) == 1
        assert result[0] == (
            "SIEMENS-WM14T6H9NL-AB1234567890",
            datetime(2024, 2, 8, 10, 1, 12, tzinfo=ZoneInfo("Europe/Amsterdam")).astimezone(
                db_with_events.connection.info.timezone
            ),
            datetime(2024, 2, 9, 5, 44, 28, tzinfo=ZoneInfo("Europe/Amsterdam")).astimezone(
                db_with_events.connection.info.timezone
            ),
            datetime(2024, 2, 9, 9, 11, 15, tzinfo=ZoneInfo("Europe/Amsterdam")).astimezone(
                db_with_events.connection.info.timezone
            ),
            "CottonEco",
        )


class TestDryer:
    pass
